libgimpprint API Reference: include/gimp-print/gimp-print-module.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/gimp-print-module.h

Go to the documentation of this file.

    00001 /*              -*- Mode: C -*-
    00002  *  $Id: gimp-print-module_8h-source.html,v 1.1.1.2 2004/12/22 23:49:03 jlovell Exp $
    00003  *
    00004  *   Gimp-Print module header file
    00005  *
    00006  *   Copyright 1997-2002 Michael Sweet (mike@easysw.com) and
    00007  *      Robert Krawitz (rlk@alum.mit.edu)
    00008  *
    00009  *   This program is free software; you can redistribute it and/or modify it
    00010  *   under the terms of the GNU General Public License as published by the Free
    00011  *   Software Foundation; either version 2 of the License, or (at your option)
    00012  *   any later version.
    00013  *
    00014  *   This program is distributed in the hope that it will be useful, but
    00015  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00016  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00017  *   for more details.
    00018  *
    00019  *   You should have received a copy of the GNU General Public License
    00020  *   along with this program; if not, write to the Free Software
    00021  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00022  *
    00023  * Revision History:
    00024  *
    00025  *   See ChangeLog
    00026  */
    00027
    00034 /*
    00035  * This file must include only standard C header files.  The core code must
    00036  * compile on generic platforms that don't support glib, gimp, gtk, etc.
    00037  */
    00038
    00039 #ifndef GIMP_PRINT_GIMP_PRINT_MODULE_H
    00040 #define GIMP_PRINT_GIMP_PRINT_MODULE_H
    00041
    00042 #ifdef __cplusplus
    00043 extern "C" {
    00044 #endif
    00045
    00046 #define STP_MODULE 1
    00047
    00048 #include <gimp-print/gimp-print.h>
    00049
    00050 #include <gimp-print/bit-ops.h>
    00051 #include <gimp-print/channel.h>
    00052 #include <gimp-print/color.h>
    00053 #include <gimp-print/dither.h>
    00054 #include <gimp-print/list.h>
    00055 #include <gimp-print/module.h>
    00056 #include <gimp-print/path.h>
    00057 #include <gimp-print/weave.h>
    00058 #include <gimp-print/xml.h>
    00059
    00060 #ifdef __cplusplus
    00061   }
    00062 #endif
    00063
    00064 #endif /* GIMP_PRINT_MODULE_H */
    00065 /*
    00066  * End of $Id: gimp-print-module_8h-source.html,v 1.1.1.2 2004/12/22 23:49:03 jlovell Exp $
    00067  */